<?php
/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

/*
 * Look for the style names in the jqwidgets/styles directory.
 */
$my_style = 'ui-redmond';

require_once('liveview.php');


$outstr  = '<!DOCTYPE html>'.PHP_EOL;
$outstr .= '<html>'.PHP_EOL;
$outstr .= ' <head>'.PHP_EOL;
$outstr .= '  <meta http-equiv="content-type" content="text/html; charset=utf-8" />'.PHP_EOL;
$outstr .= '  <title>ThermFerm monitor</title>'.PHP_EOL;
$outstr .= '  <link type="text/css" href="css/style.css" rel="stylesheet" media="all" />'.PHP_EOL;
$outstr .= '  <link type="text/css" href="jqwidgets/styles/jqx.base.css" rel="stylesheet" />'.PHP_EOL;
$outstr .= '  <link type="text/css" href="jqwidgets/styles/jqx.'.$my_style.'.css" rel="stylesheet" />'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="js/jquery-2.1.1.min.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxcore.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxwindow.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxtabs.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxcheckbox.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxbuttons.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript" src="jqwidgets/jqxradiobutton.js"></script>'.PHP_EOL;
$outstr .= '  <script type="text/javascript">'.PHP_EOL;

$outstr .= '   function addEventListeners() {'.PHP_EOL;
$outstr .= '     $("#maintenance").mousedown(function () {'.PHP_EOL;
$outstr .= '       $("#maintenance_window").jqxWindow(\'open\');'.PHP_EOL;
$outstr .= '     });'.PHP_EOL;

$outstr .= '   }'.PHP_EOL;

$outstr .= '   function createMaintenance() {'.PHP_EOL;
$outstr .= '       $("#maintenance_window").jqxWindow({'.PHP_EOL;
$outstr .= '         height: 400, width: 800, autoOpen: false, theme: \''.$my_style.'\', '.PHP_EOL;
$outstr .= '         position: { x:100, y:50 }, '.PHP_EOL;
$outstr .= '         resizable: false, isModal: true, modalOpacity: 0.5, '.PHP_EOL;
$outstr .= '         okButton: $("#maintenance_ok"), cancelButton: $("#maintenance_cancel"),'.PHP_EOL;
$outstr .= '         initContent: function () {'.PHP_EOL;
$outstr .= '           $("#maintenance_ok").jqxButton({ width: \'65px\', height: \'25\', theme: \''.$my_style.'\' });'.PHP_EOL;
$outstr .= '           $("#maintenance_cancel").jqxButton({ width: \'65px\', height: \'25\', theme: \''.$my_style.'\' });'.PHP_EOL;
//$outstr .= '           $("#ok").focus();'.PHP_EOL;
$outstr .= '         }'.PHP_EOL;
$outstr .= '       });'.PHP_EOL;
$outstr .= '       $("#maintenance").jqxButton({ width: \'150\', height: \'25\', theme: \''.$my_style.'\'});'.PHP_EOL;
$outstr .= '   }'.PHP_EOL;

$outstr .= '   $(document).ready(function () {'.PHP_EOL;
$outstr .= '     // Create jqxTabs.'.PHP_EOL;
$outstr .= '     $(\'#jqxTabs\').jqxTabs({ width: \'978\', height: 428, position: \'top\', theme: \''.$my_style.'\'});'.PHP_EOL;
$outstr .= '     addEventListeners();'.PHP_EOL;
$outstr .= '     createMaintenance();'.PHP_EOL;
$outstr .= '   });'.PHP_EOL;

$outstr .= '  </script>'.PHP_EOL;
$outstr .= ' </head>'.PHP_EOL;
$outstr .= ' <body class="default">'.PHP_EOL;
$outstr .= '  <div id="jqxWidget">'.PHP_EOL;
$outstr .= '   <div id="header">'.PHP_EOL;
$outstr .= '    <button class="script-status ui-state-error">Status</button>'.PHP_EOL;
$outstr .= '    <input type="button" id="maintenance" value="Maintenance panel" />'.PHP_EOL;
$outstr .= '   </div> <!-- header -->'.PHP_EOL;
$outstr .= liveview();

/* The maintenance popup window */
$outstr .= '   <div id="maintenance_window">'.PHP_EOL;
$outstr .= '    <div id="maintenance_header">'.PHP_EOL;
$outstr .= '     Maintenance panel'.PHP_EOL;
$outstr .= '    </div>'.PHP_EOL;
$outstr .= '    <div id="maintenance_content">'.PHP_EOL;
$outstr .= '     Maintenancecontent'.PHP_EOL;
$outstr .= '     <input type="button" id="maintenance_ok" value="OK" style="margin-right: 10px" />'.PHP_EOL;
$outstr .= '     <input type="button" id="maintenance_cancel" value="Cancel" />'.PHP_EOL;
$outstr .= '    </div>'.PHP_EOL;
$outstr .= '   </div> <!-- maintenance_window -->'.PHP_EOL;

$outstr .= '  </div> <!-- jqxWidget -->'.PHP_EOL;
$outstr .= ' </body>'.PHP_EOL;
$outstr .= '</html>'.PHP_EOL;

echo $outstr;

